Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreMailManager

    java.lang.Object
      oracle.ifs.fdk.impl.MailManagerImpl
          oracle.ifs.fdk.core.CoreMailManager

All Implemented Interfaces:
  MailManager

    public class CoreMailManager

extends MailManagerImpl

Implementation of the mail manager interface. See the documentation for `MailManager`.

Constructor Summary
`CoreMailManager(FdkSession session)` Constructor.

Method Summary
`java.lang.String[]` | `getGroupManagersEmail(long id)` Gets addresses of the managers of the given group.
`java.lang.String[]` | `getGroupMembersEmail(long id)` Gets addresses of the members of the given group.
`java.lang.String[]` | `getSecurityMembersEmail(long id)` Gets addresses of the users who have at least discover access to the given item.
`java.lang.String[]` | `getUsersWithRoleEmail(long id)` Gets addresses of all users in the domain who currently have the given role.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreMailManager

    public CoreMailManager(FdkSession session)

  Constructor.

Method Detail

### getSecurityMembersEmail

    public java.lang.String[] getSecurityMembersEmail(long id)
                                               throws FdkException

  Description copied from interface: `MailManager`
  Gets addresses of the users who have at least discover access to the given item.

  Parameters:
    `id` - The ID of the item.
  Returns:
    A list of addresses.
  Throws:
    `FdkException` - if the operation fails.

### getGroupMembersEmail

    public java.lang.String[] getGroupMembersEmail(long id)
                                            throws FdkException

  Description copied from interface: `MailManager`
  Gets addresses of the members of the given group.

  Parameters:
    `id` - The ID of the group.
  Returns:
    A list of addresses.
  Throws:
    `FdkException` - if the operation fails.

### getGroupManagersEmail

    public java.lang.String[] getGroupManagersEmail(long id)
                                             throws FdkException

  Description copied from interface: `MailManager`
  Gets addresses of the managers of the given group.

  Parameters:
    `id` - The ID of the group.
  Returns:
    A list of addresses.
  Throws:
    `FdkException` - if the operation fails.

### getUsersWithRoleEmail

    public java.lang.String[] getUsersWithRoleEmail(long id)
                                             throws FdkException

  Description copied from interface: `MailManager`
  Gets addresses of all users in the domain who currently have the given role.

  Parameters:
    `id` - the role whose users should be mailed.
  Returns:
    A list of addresses.
  Throws:
    `FdkException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD